Skip to main content
`Ctrl`+`K`

# SNESNGMRESSetRestartType

Sets the restart type for `SNESNGMRES`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetRestartType(SNES snes, SNESNGMRESRestartType rtype)

Logically Collective

## Input Parameters

- snes - the iterative context

- rtype - restart type, see `SNESNGMRESRestartType`

## Options Database Keys

- -snes_ngmres_restart_type (difference|periodic|none) - set the restart type

- -snes_ngmres_restart restart - sets the number of iterations before restart for periodic

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNES_NGMRES_RESTART_DIFFERENCE`, `SNESNGMRES`, `SNESNGMRESRestartType`, `SNESNGMRESSetRestartFmRise()`, `SNESNGMRESSetSelectType()`

## Level

intermediate

## Location

src/snes/impls/ngmres/snesngmres.c

## Implementations

SNESNGMRESSetRestartType_NGMRES() in src/snes/impls/ngmres/snesngmres.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages